:root {
    --blue: #1E8BC3;
    --red: #F71851;
    --darkblue: #22313F;
    --white: white;
    --black: #333333;
    --bg: #fbfbfd;
    --shadow: rgb(0 0 0 / 18%);
}

@media (prefers-color-scheme: dark) {
    :root {
        --white: #22313F;
        --black: white;
        --bg: black;
        --shadow: transparent;
    }
}

/* General */
@font-face{
    font-family: "Nexa";
    font-display:fallback;
    src: url('Nexa-Light.otf');
}
@font-face {
    font-family: "Nexa";
    src: url("Nexa-Bold.otf");
    font-weight: bold;
}

body {
    background-color: var(--bg);
    color: var(--black);
    margin: 0 !important;
    font-family: "Nexa",Helvetica,Arial,sans-serif;
    font-size: 1rem;
    line-height: 1.25rem;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    /*justify-content: space-between;*/
}

body.dark {
    background-color: var(--darkblue);
}

.wrapper {
    flex: 1;
    display: flex;
    width: 100vw;
    flex-direction: column;
    /* align-items: stretch;*/
}

.content-wrapper {
    max-width: 1440px;
    margin: auto;
}

h1 {
    font-size: 2rem;
    margin: 1rem 0rem;
    line-height: 2.3rem;
}

h2 {
    font-size: 1.75rem;
    margin: 1rem 0rem;
    line-height: 2rem;
}

h3 {
    font-size: 1.5rem;
    margin: 1rem 0rem;
    line-height: 1.8rem;
}

h4 {
    font-size: 1.25rem;
    margin: 1rem 0rem;
}

h5 {
    font-size: 1.2rem;
    margin: 1rem 0rem;
}
h6 {
    font-size: 1.1rem;
    margin: 1rem 0rem;
}

p {
    font-size: 1rem;
}

a {
    text-decoration: none !important;
    color: inherit !important;
    cursor: pointer !important;
}

ul {
    margin: 0px;
    list-style: none !important;
    padding: 0px;
    overflow: hidden;
}

img {
    display: block;
    width: 100%;
}

/* Navigation */

nav {
    position: fixed;
    z-index: 99;
    width: calc(100% - 50px);
    background-image: linear-gradient(0deg, rgb(0 0 0 / 0%), rgb(0 0 0 / 30%) 50%);
    color: white;
    padding: 0px 25px;
    font-weight: bold;
}

.navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav-logo {
    width: 60px;
    padding-top: 9px;
    padding-bottom: 6px;
}

.nav-brand {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.nav-brand-detail {
    border-left: 2px solid;
    padding: 0.3rem 0.5rem;
}

.nav-links {
    display: flex;
    align-items: center;
}

.nav-links > li {
    padding: 15px 25px;
}

.nav-button {
    border: 2px solid var(--red);
    color: var(--red) !important;
    background: linear-gradient(to left, transparent 50%, var(--red) 50%) right;
    background-size: 200%;
    transition: .3s ease-out;
    padding: 5px 12px;
    font-weight: 100;
}

.nav-button:hover {
    background-position: left;
    color: white !important;
}

.nav-lang {
    padding: 15px 5px !important;
}

.nav-lang > a > i {
    font-size: 25px;
    color: var(--blue);
}

/* Language selector */

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content {
    position: relative;
    background-color: var(--white);
    margin: auto;
    padding: 15px 25px;
    width: 30%;
    border-radius: 0.5em;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
    -webkit-animation-name: animatemodaltop;
    -webkit-animation-duration: 0.4s;
    animation-name: animatemodaltop;
    animation-duration: 0.4s
}

@media only screen and (max-width: 690px) {
    .modal-content {
        width: 50%;
    }
}
@media only screen and (max-width: 390px) {
    .modal-content {
        width: 80%;
    }
}

@-webkit-keyframes animatemodaltop {
    from {top:-300px; opacity:0}
    to {top:0; opacity:1}
}

.close {
    float: right;
}

.modal-content > i {
    padding-right: 10px;
}

.modal-content > h3 {
    padding-bottom: 1em;
}

.lang-button {
    background-color: var(--blue);
    color: white !important;
    padding: 5px 10px;
    border-radius: 5px;
    display: inline-block;
    margin-bottom: 20px;
    transition: .2s ease-out;
}

.lang-button:hover {
    box-shadow: 3px 5px 10px var(--shadow);
}

/* Footer */

.footer {
    background-color: var(--darkblue);
    color: white;
}

.footer-tabs {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2rem;
    justify-items: center;
    margin: 0rem 2rem;
}

.footer-tabs > div > ul > li {
    font-size: 0.8rem;
    padding: 5px 0px;
}

.footer-tabs > div > h5 {
    margin-bottom: 1.2rem;
    margin-top: 1.8rem;
}

.footer-copyright {
    font-size: 12px;
    margin: 0px;
    padding: 10px 25px;
}

@media only screen and (max-width: 690px) {
    .footer-tabs {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media only screen and (max-width: 275px) {
    .footer-tabs {
        grid-template-columns: repeat(1, 1fr);
    }
}

/* Page title */
.page-title {
    margin: 1rem 2rem;
    max-width: 20%;
}

.page-title > h3, .page-title > p {
    margin: 0px;
}

.page-title > p {
    margin-top: 8px;
    font-size: 0.8rem;
}

/* Components */
.section-header {
    width: 50%;
    text-align: center;
    margin: 1rem auto;
}

.section-header-side {
    width: 35%;
    margin: 1rem 3rem;
}

@media only screen and (max-width: 460px) {
    .section-header {
        width: 80%;
    }

    .section-header-side {
        width: 80%;
    }
}

/* Credit */
.credit {
    text-align: center;
    display: block;
    font-weight: 100;
    margin-bottom: 1rem;
    font-size: 0.8rem;
}

.credit > a {
    font-weight: bold;
    color: var(--red) !important;
}

body.dark > footer > section > .credit {
    color: white;
}

@media only screen and (max-width: 250px) {
    .credit > a {
        display: block;
    }
}

.main-header {
    background-image: linear-gradient(110deg, rgb(0 0 0 / 0%), rgb(0 0 0 / 60%)), url(https://cdn.lpehq.eu/media/1600/PEL/main/primary2.jpg);
    background-size: cover;
    text-align: center;
    /*background-attachment: fixed;
    background-repeat: no-repeat;*/
    padding-bottom: 17.5rem;
    font-size: 1.7rem;
    padding-top: 5rem;
    background-position: center 20%;
    clip-path: polygon(100% 0, 100% 80%, 50% 100%, 0 80%, 0 0);
    color: white;
    z-index: -1;
    position: relative;
}

.main-header-small {
    background-image: linear-gradient(110deg, rgb(0 0 0 / 0%), rgb(0 0 0 / 60%)), url(https://cdn.lpehq.eu/media/1600/PEL/main/primary2.jpg);
    background-size: cover;
    text-align: center;
    /*background-attachment: fixed;
    background-repeat: no-repeat;*/
    padding-bottom: 2rem;
    font-size: 1.7rem;
    padding-top: 3rem;
    background-position: center 20%;
    clip-path: polygon(100% 0, 100% 80%, 50% 100%, 0 80%, 0 0);
    color: white;
    z-index: -1;
    position: relative;
}

.rounded-button {
    position: relative;
    border: 2px solid var(--red);
    border-radius: 2rem;
    padding: 5px 15px;
    margin-top: 10px;
    font-family: inherit;
    font-size: inherit;
    display: inline-block;
    color: white !important;
    /*background: linear-gradient(to left, var(--red) 50%, transparent 50%) right;
    background-size: 200%;*/
    transition: .3s ease-out;
    cursor: pointer !important;
    overflow: hidden;
    z-index: 7;
    background: inherit;
}

.rounded-button:before{
    content: "";
    background-color: var(--red);
    position: absolute;
    z-index: -1;
    transition: all .5s ease;
    top: 0;
    left: 0px;
    width: 100%;
    height: 100%;
}

.rounded-button:hover:before {
    left: 100%;
}

.rounded-button:hover {
    /*background-position: left;*/
    color: var(--red) !important;
}

.rounded-button[disabled] {
    cursor: pointer;
    opacity: 0.8;
}

/* Main */
.platforms-main {
    background-image: linear-gradient(110deg, rgb(0 0 0 / 0%), rgb(0 0 0 / 60%)), url(https://cdn.lpehq.eu/media/1600/PEL/main/primary2.jpg);
    background-size: cover;
    padding-top: 5rem;
    padding-bottom: 3rem;
    background-position: center 12%;
    clip-path: polygon(100% 0, 100% 91%, 50% 100%, 0 91%, 0 0);
    position: relative;
    display: flex;
    justify-content: space-around;
    flex-direction: column;
    flex: 1;
}

.platforms-main-header {
    padding-bottom: 3rem;
    text-align: center;
    color: white;
}

.platforms {
    display: grid;
    grid-template-columns: 100%;
    margin: 2rem;
    row-gap: 2rem;
    justify-content: space-evenly;
}

.platform {
    background-color: hsl(0deg 0% 100% / 80%);
    box-shadow: 2px 4px 12px var(--shadow);
    padding: 1rem;
    border-radius: 0.5rem;
    text-align: center;
    transition: .3s ease-in-out;
}

.platform:hover {
    transform: scale(1.02);
    background-color: var(--white);
}

.platform > i {
    font-size: 3rem;
    background-image: linear-gradient(38deg, var(--blue), var(--darkblue));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

@media (prefers-color-scheme: dark) {
    .platform > i {
        background-image: linear-gradient(38deg, var(--blue), var(--red));
    }
}

.platform > .status {
    background-color: var(--blue);
    padding: 5px;
    margin-bottom: 0px;
    color: white;
    border-radius: 0.5rem;
}

@media (prefers-color-scheme: dark) {
    .platform {
        background-color: hsl(209deg 30% 19% / 80%);
        color: white;
    }
}

/* Call to action */
.call-action{
    background: linear-gradient(46deg, var(--red), var(--blue));
    color: white;
    text-align: center;
    margin: 2rem 0rem;
    padding: 1rem;
    margin-bottom: 4rem;
}

.call-action > a {
    margin-left: 2rem;
}

/* Forms */
.form-wrap {
    margin: 3rem 1rem;
    flex: 1;
    justify-content: space-around;
    display: flex;
    flex-direction: column;
}

.form-frame {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}

.form-box {
    background-color: var(--white);
    box-shadow: 2px 4px 12px var(--shadow);
    padding: 2rem;
    border-radius: 0.5rem;
}

.form-step {
    width: 20%;
    text-align: center;
}

.form-step > h3, .form-step > i {
    background-image: linear-gradient(38deg, var(--blue), var(--darkblue));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.form-step > i {
    font-size: 4rem;
}

.form-step-content {
    width: 60%;
}

input, select, textarea {
    width: 100%;
    padding: 12px 20px;
    margin: 8px 0;
    box-sizing: border-box;
    background-color: var(--white);
    border: 1px solid #9b9b9b;
    color: var(--black);
    border-radius: 0.5rem;
    font-family: inherit;
    font-size: inherit;
    text-align: justify;
    -webkit-appearance:none;
}

.checkbox-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    padding-top: 4px;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/* Hide the browser's default checkbox */
.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* Create a custom checkbox */
.checkbox-checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 20px;
    width: 20px;
    background-color: var(--white);
    border: 1px solid #9b9b9b;
    border-radius: 0.3rem;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked ~ .checkbox-checkmark {
    background-color: var(--blue);
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkbox-checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked ~ .checkbox-checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkbox-checkmark:after {
    left: 6px;
    top: 2px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.form-group-double {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 1rem;
}

@media only screen and (max-width: 680px) {
    .form-group-double {
        grid-template-columns: 1fr;
    }
    .form-step-content {
        width: 85%;
    }
}

@media only screen and (max-width: 580px) {
    .form-step-content {
        width: 100%;
    }
    .form-step {
        width: 100%;
    }
}

.form-group {
    margin-top: 1rem;
}

.form-list > li {
    margin: 0.7rem;
    margin-left: 15px;
    padding-left: 10px;
}

.form-buttons {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.form-review {
    display: grid;
    grid-template-columns: 2fr 10fr;
    margin-left: 1rem;
}

.form-review > p {
    margin: 0.5rem 5px;
}

.form-alert {
    background-color: var(--blue);
    color: white;
    padding: 8px 15px;
    border-radius: 0.5rem;
}
